Subject: Re: bug#27418: `guix pull` gets stuck at "updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%"

From: [email-masked] (Ludovic Courtès)
Date: Wed, 21 Jun 2017 12:31:30 +0200

Hello,

Ricardo Wurmus <[email-masked]> skribis:

> Mekeor Melire <[email-masked]> writes:
>
>> Following rekado's friendly advice, I was able to downgrade guix with:
>>
>>     guix pull --url=https://git.savannah.gnu.org/cgit/guix.git/snapshot/01049bb0c1f3f69afb8d1782f99ca5c0adaed946.tar.gz --no-substitutes
>
> […]
>
>> Still, I wonder
>>   * what caused this issue;
>
> I’m not sure but it may have been caused by a hung “guix publish”
> process.

Indeed, yesterday I realized ‘guix publish’ on hydra.gnu.org was stuck
for unknown reasons, meaning that it would not reply to HTTP requests
nor would it “bake” archives.  That’s likely the root cause.

Sorry about that!

Ludo’.